summaryrefslogtreecommitdiff
path: root/evergreen/gen_patch_test_tags.sh
diff options
context:
space:
mode:
authorRobert Guo <robert.guo@mongodb.com>2021-06-18 10:51:28 -0400
committerEvergreen Agent <no-reply@evergreen.mongodb.com>2021-06-18 15:38:39 +0000
commit424e5742516e01be5ea7638712e273d6bc175dc4 (patch)
tree6834be91c40c6991c06d577292f9e998a883dcf1 /evergreen/gen_patch_test_tags.sh
parent90c6c2c99ac81fdb5119e8441b0799b4d4db6632 (diff)
downloadmongo-424e5742516e01be5ea7638712e273d6bc175dc4.tar.gz
SERVER-57778 add QE and QO patch build variants
Diffstat (limited to 'evergreen/gen_patch_test_tags.sh')
-rw-r--r--evergreen/gen_patch_test_tags.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/evergreen/gen_patch_test_tags.sh b/evergreen/gen_patch_test_tags.sh
new file mode 100644
index 00000000000..67120c050e5
--- /dev/null
+++ b/evergreen/gen_patch_test_tags.sh
@@ -0,0 +1,24 @@
+DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"
+. "$DIR/prelude.sh"
+
+cd src
+
+set -o errexit
+set -o verbose
+
+# Only generate tags for query patch variants.
+if [[ "${build_variant}" != *"query-patch-only"* ]]; then
+ exit 0
+fi
+
+activate_venv
+git clone git@github.com:10gen/coredb-patchbuild-optimizer.git
+
+pushd coredb-patchbuild-optimizer
+# Reusing bfsuggestion's password here to avoid having to
+# go through the process of adding a new Evergreen project expansion.
+$python tagfilegenerator.py "${bfsuggestion_password}"
+mv failedtesttags ..
+popd
+
+tar -cvzf patch_test_tags.tgz failedtesttags